petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatPythonCreate

Create a Mat object implemented in Python.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPythonCreate(MPI_Comm comm,PetscInt m,PetscInt n,PetscInt M,PetscInt N,const char pyname[],Mat *A)

Collective on Mat

### Input Parameters

| comm | - MPI communicator
| m | - number of local rows (or PETSC_DECIDE to have calculated if M is given)
| n | - number of local columns (or PETSC_DECIDE to have calculated if N is given)
| M | - number of global rows (or PETSC_DECIDE to have calculated if m is given)
| N | - number of global columns (or PETSC_DECIDE to have calculated if n is given)
| pyname | - full dotted Python name [package].module[.{class|function}]

### Output Parameter

A -the matrix

### See Also

MATPYTHON, MatPythonSetType(), PetscPythonInitialize()

### Level

intermediate

### Location

src/mat/impls/python/pythonmat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages